/****** Object:  StoredProcedure [dbo].[spSicherheitenImporttabelleAnlegen]    Script Date: 11.09.2015 16:32:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[spSicherheitenImporttabelleAnlegen]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'ALTER PROCEDURE [dbo].[spSicherheitenImporttabelleAnlegen] 
  @Benutzer nvarchar(50) 
AS
DECLARE @SQL nvarchar(max) 
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SET @SQL = ''CREATE TABLE _tmpSicherheitenImport'' + @Benutzer + ''(
			[ID] [int] IDENTITY(1,1) NOT NULL,
			[inr] [nvarchar](3) NULL,
			[blz] [nvarchar](8) NULL,
			[bestandsdatum] [datetime] NULL,
			[kne] [float] NULL,
			[kn] [float] NULL,
			[kn_name] [nvarchar](100) NULL,
			[kn_kn_Sicherungsgeber] [float] NULL,
			[kn_kn_name_Sicherungsgeber] [nvarchar](100) NULL,
			[LFD_NR] [int] NOT NULL,
			[Kontonr] [nvarchar](10) NOT NULL,
			[kto_max_real] [float] NULL,
			[kto_max_personal] [float] NULL,
			[kto_max_wsft] [float] NULL,
			[kto_realkreditvolumen_in] [float] NULL,
			[kto_realkreditvolumen_wi] [float] NULL,
			[kto_personalkreditvolumen_in] [float] NULL,
			[kto_personalkreditvolumen_wi] [float] NULL,
			[kto_komp_anteil_in] [float] NULL,
			[kto_komp_anteil_wi] [float] NULL,
			[kto_wirt_anteil_in] [float] NULL,
			[kto_wirt_anteil_wi] [float] NULL,
			[kto_blankokreditvolumen_in] [float] NULL,
			[kto_blankokreditvolumen_wi] [float] NULL,
			[kto_kommunalkreditvolumen_in] [float] NULL,
			[kto_kommunalkreditvolumen_wi] [float] NULL,
			[kto_freier_anteil_in] [float] NULL,
			[kto_freier_anteil_wi] [float] NULL,
			[kto_sich_schluessel] [nvarchar](2) NULL,
			[kto_sich_betrag] [float] NULL,
			[kto_sicherungsobjekt] [nvarchar](255) NULL,
			[siht_obj_id] [nvarchar](255) NULL,
 CONSTRAINT [PK__tmpSicherheitenImport'' + @Benutzer + ''] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, 
ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]''
EXEC(@sql)
END
' 
END
GO

Alter Table dbo.tabSicherheiten add [siht_obj_id] [nvarchar](255) NULL
GO

/****** Object:  StoredProcedure [dbo].[spSicherheitenKN_Anfuegen]    Script Date: 11.09.2015 17:04:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[spSicherheitenKN_Anfuegen]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'ALTER PROCEDURE [dbo].[spSicherheitenKN_Anfuegen] 
  @Importtabelle nvarchar(100)  
AS
DECLARE @SQL nvarchar(MAX)
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SET @SQL = ''INSERT INTO tabSicherheiten
            (INR, BDATE, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_schluessel, kto_sich_betrag, kto_sicherungsobjekt, siht_obj_id)
            SELECT I.INR, I.Bestandsdatum, right(''''000'''' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), I.bestandsdatum, 12) 
                  + right(''''000000000000000'''' + cast(cast(I.KN as bigint) as nvarchar(15)),15) AS KNID, 
               I.LFD_NR, I.kto_max_real, I.kto_max_personal, I.kto_max_wsft, I.kto_sich_schluessel, 
            I.kto_sich_betrag, I.kto_sicherungsobjekt, I.siht_obj_id  
FROM '' + @Importtabelle + '' AS I LEFT JOIN tabSicherheiten  AS S 
           ON right(''''000'''' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), I.bestandsdatum, 12) 
                  + right(''''000000000000000'''' + cast(cast(I.KN as bigint) as nvarchar(15)),15) = S.KNID AND I.LFD_NR = S.LFDNR 
WHERE S.KNID is null  
GROUP BY I.INR, I.Bestandsdatum, I.kn, I.LFD_NR, I.kto_max_real, I.kto_max_personal, I.kto_max_wsft, I.kto_sich_schluessel, I.kto_sich_betrag, I.kto_sicherungsobjekt, I.siht_obj_id''
EXEC(@SQL)
END
' 
END
GO

/****** Object:  Index [IX_Beraternummer]    Script Date: 14.09.2015 16:13:16 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKreditnehmereinheit]') AND name = N'IX_Beraternummer')
DROP INDEX [IX_Beraternummer] ON [dbo].[tabKreditnehmereinheit]
GO

/****** Object:  Index [IX_Beraternummer]    Script Date: 14.09.2015 16:13:16 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKreditnehmereinheit]') AND name = N'IX_Beraternummer')
CREATE NONCLUSTERED INDEX [IX_Beraternummer] ON [dbo].[tabKreditnehmereinheit]
(
	[kne_berater] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


/****** Object:  Index [IX_Beraternummer]    Script Date: 14.09.2015 16:14:03 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKreditnehmer]') AND name = N'IX_Beraternummer')
DROP INDEX [IX_Beraternummer] ON [dbo].[tabKreditnehmer]
GO

/****** Object:  Index [IX_Beraternummer]    Script Date: 14.09.2015 16:14:03 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKreditnehmer]') AND name = N'IX_Beraternummer')
CREATE NONCLUSTERED INDEX [IX_Beraternummer] ON [dbo].[tabKreditnehmer]
(
	[kn_berater] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO





















Update _tabVersion set DBVersion = '7.61', DBDate = '11.09.2015'
GO