/****** Object:  StoredProcedure [dbo].[spEndkontrolleEWBDruck]    Script Date: 31.07.2018 10:13:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here

SELECT KNE.Bdate, dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabEWBKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, KNE.Herkunft, kne.kne_blankokreditvolumen_in 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabEWBKNEFilter INNER JOIN tabFilter AS F ON tabEWBKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabEWBKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;


END
GO

create PROCEDURE [dbo].[spDokumente1DEP04BereichundSortierung]
@ZugehoerigerKey nvarchar(21)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
SELECT     CAST(PFG.PFGKZ AS nvarchar(2)) + '  -  ' + PF.PFNr + ' ' + PF.PFBezeichnung   + ' - DB 1 - FR' as Bereich,
            pfg.PFGKZ + pf.PFNr + '104' AS Sortierung,
		     '' as Besonderheit						                            
FROM            tabPrueffelder AS PF INNER JOIN
                         tabPrueffeldgruppen AS PFG ON PF.PFGID = PFG.PFGID INNER JOIN
                         tabDeckblatt1DEP AS DB1 ON PF.PFID = DB1.PFID
WHERE        (DB1.DBID = @ZugehoerigerKey)
END
GO



ALTER PROCEDURE [dbo].[spEndkontrolleEWBExport] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT  dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.Herkunft, KNE.Bdate, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
       KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, 
       KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in,
       KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi,
       KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, 
       KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand,
       KNE.kne_externe_kredite
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahlEWB as T ON KNE.kneid = T.kneid inner join 
    (tabEWBKNEFilter INNER JOIN tabFilter AS F ON tabEWBKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabEWBKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID 
ORDER BY  dbo.getAuswahlstatusEWB(kne.kneid, @SPID) , KNE.kne_gesamtkreditvolumen DESC;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle2Druck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KNE.KNEID, KNE, KNE_Name, kne_berater, kne_gesamtkreditvolumen, kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_Personalkreditvolumen_in, 
                      kne_Realkreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kreditueberschreitung, kne.Bdate, kne_Risikoklasse, kne_blankokreditvolumen_wi, 
                      kne_Personalkreditvolumen_wi, kne_ewb_e, KNE_GEWICHTETE_BONITAET 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid 
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;
END
GO

ALTER FUNCTION [dbo].[getAuswahlstatusEWB]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahlEWB where KNEID = @KNEID and SPID = @SPID) = 0 then 0 else 1 end as Auswahl )
END
GO

ALTER PROCEDURE [dbo].[spStichprobeEWBDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT T.Auswahl as Auswahl, T.INR, T.Bdate, T.KNEID, KNE, KNE_Name, kne_berater, kne_gesamtkreditvolumen, 
       kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
       kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, kne_Personalkreditvolumen_in,
       kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, kne_Realkreditvolumen_wi, 
       kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, kne_Kreditueberschreitung, 
       kne_Darlehensrueckstand, kne_externe_kredite, Herkunft
FROM _tmpAuswahlEWB as T INNER JOIN tabkreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
WHERE T.Auswahl=1 AND T.SPID = @SPID AND KNE.Bdate=@bdate AND KNE.INR=@InstNr  
ORDER BY KNE.kne_gesamtkreditvolumen DESC;
END
GO

Create PROCEDURE [dbo].[spStichprobeEWBDruckSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT sum(kne_gesamtkreditvolumen) as SummeGKV, 
        sum(kne_Inanspruchnahme) as SummeInAn,
		Sum(kne_blankokreditvolumen_in) as SummeBlanko,
		count(T.KNEID) as AnzahlSaetze
FROM _tmpAuswahlEWB as T INNER JOIN tabkreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
WHERE T.Auswahl=1 AND T.SPID = @SPID AND KNE.Bdate=@bdate AND KNE.INR=@InstNr  
;
END
GO

ALTER PROCEDURE [dbo].[spLoescheAuswahlKomplett] 
@INR nvarchar(3),
@BDate date,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from tabFilter WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from tabKNEFilter WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from tabEWBKNEFilter WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from tabKN_Risiko WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from tabKN_RisikoSammel WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from stabFilter WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
delete from _tmpAuswahl WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from _tmpAuswahlEWB WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
Delete from _tmpKNE WHERE SPID = @SPID and (INR = @INR OR @INR IS NULL) and (BDate = @Bdate OR @BDATE IS NULL);
END
GO

ALTER TABLE tabKreditnehmer ADD [KN_KUSYDSGV20] [nvarchar] (15) NULL
GO
ALTER TABLE _expKreditnehmer ADD [KN_KUSYDSGV20] [nvarchar] (15) NULL
GO




/****** Object:  StoredProcedure [dbo].[spKN_Anfuegen]    Script Date: 17.08.2018 14:08:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO

ALTER PROCEDURE [dbo].[spKN_Anfuegen] 
@INR as nvarchar(3),
@BDate as datetime
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKreditnehmer
      (KNID, INR, Bdate, KN, kn_name, kn_berater, kn_ort, kn_wirtschaftszweig, 
      kn_ortskenn, kn_kz_organ, kn_kusydsgv, kn_rating_methode, kn_rating_note, 
      kn_rating_status, kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_verbund_art, kn_geko9513_gueltig_ab, 
      kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
      kn_personalkreditvolumen_wi, kn_PKV_SPG_in, kn_PKV_SPG_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, 
      kn_kommunalkreditvolumen_wi, kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
      kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, 
      kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, kn_passiv_depot, kn_rueckgabenanzahl, kn_wv, kn_wv_verbnr, kn_beruf_branche, kn_beruf, kn_strasse, 
      kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, kn_rechtl_s, kn_org_bankgrp_ausl, 
      kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_rating_datum, kn_saldo_umsatzlos, kn_kz_g_m_kred, kn_ueberziehung_90, 
      kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, kn_kreditvolumen_fw_kredite, 
      kn_kreditvolumen_beteiligung, kn_kreditvolumen_akkreditive, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, KN_Kreditvolumen_az2, 
      kn_bew_rahmen_le, kn_labile_sicherheiten, kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften,
      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20      
      ) 
SELECT RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.inr, I.bestandsdatum AS BDate, CAST(I.kn AS bigint) AS KN, Max(I.kn_name) as a50, 
	   right('0000000' + cast(max(I.kn_berater) as nvarchar(7)),7) as a51,
	   max(I.kn_ort) as a52,
       max(I.kn_wirtschaftszweig) as a53,  max(I.kn_ortskenn) as a54, max(I.kn_kz_organ) as a55, max(I.kn_kusydsgv) as a56, 
       max(I.kn_rating_methode) as a57, max(I.kn_rating_note) as a58, 
       max(I.kn_rating_status) as a59, max(I.kn_rating_ueberschreibung) as a60, max(I.kn_bonitaet) as a61, 
       RIGHT('000' + CAST(max(I.kn_Risikoklasse) AS nvarchar(3)), 3) as a62, 
       max(I.kn_verbund_art) as a63, max(I.kn_geko9513_gueltig_ab) as a64, 
       min(I.kn_blankokreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a1, 
       min(I.kn_blankokreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a2, 
       min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a3,
       min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 as a4, 
       min(I.kn_blankokreditvolumen_in) + min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a5, 
       min(I.kn_blankokreditvolumen_wi) + min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a6,
       min(I.kn_realkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a7,
       min(I.kn_realkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a8, 
       min(I.kn_kommunalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a9,
       min(I.kn_kommunalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a10, 
       min(I.kn_freier_anteil_in)/min(I.KN_gbr_quote)*100 AS a11, 
       min(I.kn_freier_anteil_wi)/min(I.KN_gbr_quote)*100 AS a12, 
       min(I.kn_komp_anteil_in)/min(I.KN_gbr_quote)*100 AS a13, 
       min(I.kn_komp_anteil_wi)/min(I.KN_gbr_quote)*100 as a14, 
       min(I.kn_wirt_anteil_in)/min(I.KN_gbr_quote)*100 as a15, 
       min(I.kn_wirt_anteil_wi)/min(I.KN_gbr_quote)*100 as a16, 
       min(I.kn_gesamtkreditvolumen)/min(I.KN_gbr_quote)*100 as a17, 
       min(I.kn_bewilligtes_darlehen_az6_neu)/min(I.KN_gbr_quote)*100 as a18, 
       min(I.kn_gutschriftensumme_e_v)/min(I.KN_gbr_quote)*100 as a19, 
       min(I.kn_meta_anteil_inanspruchnahme)/min(I.KN_gbr_quote)*100 as a20,
       min(I.kn_meta_anteil_kreditvolumen)/min(I.KN_gbr_quote)*100 as a21,
       min(I.kn_meta_anteil_ueberziehung)/min(I.KN_gbr_quote)*100 as a22,
       min(I.kn_passiv_az2_3_4_9)/min(I.KN_gbr_quote)*100 as a23, 
       min(I.kn_passiv_depot)/min(I.KN_gbr_quote)*100 as a24,
       max(I.kn_rueckgabenanzahl) as a65, MAX(I.kn_wv) as a25a, MAX(I.kn_wv_verbnr) as a25, 
       max(I.kn_beruf_branche) as a66, max(I.kn_beruf) as a67, max(I.kn_strasse) as a68, max(I.kn_haus_nr) as a69, max(I.kn_post_erg) as a70,
       max(I.kn_postleit) as a71, max(I.kn_land) as a72, max(I.kn_g_verb_s) as a73, max(I.kn_kundentyp) as a74, max(I.kn_o_rechts) as a75, 
       max(I.kn_pers_art) as a76, max(I.kn_pers_unterart) as a77, max(I.kn_rechtl_s) as a78, max(I.kn_org_bankgrp_ausl) as a79, 
       max(I.kn_org_bankgrp_inl) as a80, max(I.kn_org_einlagen_ki_kz) as a81, max(I.kn_rating_kennung_stp) as a82, max(I.kn_rating_datum) as a83, 
       max(I.kn_saldo_umsatzlos) as a84, max(I.kn_kz_g_m_kred) as a85, 
       min(I.kn_ueberziehung_90)/min(I.KN_gbr_quote)*100 as a26, 
       min(I.kn_kreditvolumen_derivate)/min(I.KN_gbr_quote)*100 as a27, 
       min(I.kn_kreditvolumen_wertpapiere)/min(I.KN_gbr_quote)*100 as a28, 
       min(I.kn_kreditvolumen_wp_leihe)/min(I.KN_gbr_quote)*100 as a29, 
       min(I.kn_kreditvolumen_geldhandel)/min(I.KN_gbr_quote)*100 as a30, 
       min(I.kn_kreditvolumen_fw_kredite)/min(I.KN_gbr_quote)*100 as a31, 
       min(I.kn_kreditvolumen_beteiligung)/min(I.KN_gbr_quote)*100 as a32, 
       min(I.kn_kreditvolumen_akkreditive)/min(I.KN_gbr_quote)*100 as a33,
       min(I.kn_kreditvolumen_so_az9)/min(I.KN_gbr_quote)*100 as a34, 
       min(I.kn_kreditvolumen_kreditkarten)/min(I.KN_gbr_quote)*100 as a35,
       min(I.kn_kreditvolumen_az2)/min(I.KN_gbr_quote)*100 as a36, 
       min(I.kn_bew_rahmen_le)/min(I.KN_gbr_quote)*100 as a37, 
       min(I.kn_labile_sicherheiten)/min(I.KN_gbr_quote)*100 as a38, 
       min(I.kn_sicherheiten_uebereignung)/min(I.KN_gbr_quote)*100 as a39,
       min(I.kn_zessionen)/min(I.KN_gbr_quote)*100 as a40, 
       min(I.kn_buergschaften)/min(I.KN_gbr_quote)*100 as a41,
       max(I.KN_WARN_1210) as a65, 
       max(I.KN_WARN_1310) as a66, 
       max(I.KN_WARN_1425) as a67,
       max(i.KN_WARN_1435) as a68, 
       max(i.KN_WARN_1455) as a69, 
       max(i.KN_WARN_1510) as a70, 
       max(i.KN_WARN_1530) as a71, 
       max(i.KN_WARN_7000) as a72, 
       max(i.KN_WARN_7001) as a73,  
	   max(i.KN_WARN_7002) as a74, 
	   max(i.KN_WARN_7003) as a75, 
	   max(i.KN_WARN_7004) as a76, 
	   max(i.KN_WARN_7008) as a77, 
	   max(i.KN_WARN_7017) as a78, 
	   max(i.KN_WARN_7021) as a79, 
	   max(i.KN_WARN_7029) as a80, 
	   max(i.KN_WARN_7031) as a87,
	   max(i.KN_KUSYDSGV20) as KN_KUSYDSGV20 
FROM ##Import AS I 
LEFT JOIN    dbo.vorhandeneKNimBestand(@BDate, @INR) AS K on I.kn = K.KN
WHERE     (K.KN IS NULL)
GROUP BY I.inr, I.bestandsdatum, I.kn     
HAVING   (I.kn IS NOT NULL)
END
GO

ALTER PROCEDURE [dbo].[spKusy] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT isnull(KN.kn_kusydsgv20,'') as kusy  
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID
WHERE KNE.SPID = @SPID and KNE.BDate = @BDate and KNE.INR = @instnr AND KN.kn_kusydsgv20 is not null 
GROUP BY KN.kn_kusydsgv20 
ORDER BY KN.kn_kusydsgv20;
END
GO


ALTER PROCEDURE [dbo].[spExpKreditnehmer] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, INR, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
                      KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, KN_KUSYDSGV20)
SELECT     @SPID, KN.INR, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, kn_kusydsgv20 
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031, kn_kusydsgv20 
END
GO

ALTER PROCEDURE [dbo].[spKreditnehmer] 
	@KNID nvarchar(24)
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KN.KNID, KN.KN, KN.INR, KN.Bdate, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, KN.kn_verbund_art, 
                      KN.kn_geko9513_gueltig_ab, KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, 
                      KN.kn_ewb_e_btrg_janf, KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, 
                      KN.kn_ewb_v, KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, 
                      KN.kn_ewb_v_absg_dir_btrg, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
                      KN.kn_postleit, KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, KN.KN_Ueberschreitung_SPK_Bemerkung, KN.KN_GKV_SPK, KN.KN_GKV_SPK_Bemerkung, 
                      KN.KN_Identnr, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.TS, dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, 
                      CASE WHEN kn.kn_rating_methode IS NOT NULL THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, 
                      CASE WHEN kn.kn_kz_organ IS NOT NULL THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ),kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
                      dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, tabSicherheitenproKNID.KNID AS Expr1, tabSicherheitenproKNID.INR AS Expr2, 
                      tabSicherheitenproKNID.BDate AS Expr3, tabSicherheitenproKNID.Grundpfandrechte_wi, tabSicherheitenproKNID.Grundpfandrechte_in, 
                      tabSicherheitenproKNID.Grundpfandrechte_wohn_wi, tabSicherheitenproKNID.Grundpfandrechte_wohn_in, tabSicherheitenproKNID.Grundpfandrechte_gew_wi, 
                      tabSicherheitenproKNID.Grundpfandrechte_gew_in, tabSicherheitenproKNID.Grundpfandrechte_real_wi, tabSicherheitenproKNID.Grundpfandrechte_real_in, 
                      tabSicherheitenproKNID.Guthaben_wi, tabSicherheitenproKNID.Guthaben_in, tabSicherheitenproKNID.Wertpapiere_wi, tabSicherheitenproKNID.Wertpapiere_in, 
                      tabSicherheitenproKNID.Sicherungsuebereignungen_wi, tabSicherheitenproKNID.Sicherungsuebereignungen_in, tabSicherheitenproKNID.Lebensversicherungen_wi, 
                      tabSicherheitenproKNID.Lebensversicherungen_in, tabSicherheitenproKNID.Zessionen_wi, tabSicherheitenproKNID.Zessionen_in, 
                      tabSicherheitenproKNID.Buergschaften_oeffentl_in, tabSicherheitenproKNID.Buergschaften_oeffentl_wi, tabSicherheitenproKNID.Buergschaften_sonst_in, 
                      tabSicherheitenproKNID.Buergschaften_sonst_wi, tabSicherheitenproKNID.Sonstiges_wi, tabSicherheitenproKNID.Sonstiges_in, 
                      tabSicherheitenproKNID.SPKRecht_nicht_Blanko_in, tabSicherheitenproKNID.SPKRecht_nicht_Blanko_wi, tabSicherheitenproKNID.DarunterKoerperschaft_in, 
                      tabSicherheitenproKNID.DarunterKoerperschaft_wi, tabSicherheitenproKNID.Wirtschaftlich_bewertbare_Sicherheiten_in, 
                      tabSicherheitenproKNID.Wirtschaftlich_bewertbare_Sicherheiten_wi, tabSicherheitenproKNID.Freie_Sicherheiten_in, tabSicherheitenproKNID.Freie_Sicherheiten_wi, 
                      tabSicherheitenproKNID.SPKRechtlich_Bewertbar_in, tabSicherheitenproKNID.SPKRechtlich_Bewertbar_wi, tabSicherheitenproKNID.SPKRechtl_Blanko_in, 
                      tabSicherheitenproKNID.SPKRechtl_Blanko_wi, tabSicherheitenproKNID.Wirtschaftlich_blanko_in, tabSicherheitenproKNID.Wirtschaftlich_blanko_wi, 
                      case when KN.KN_WARN_1210 = 'J' then 1 else 0 end as KN_WARN_1210, 
                      case when KN.KN_WARN_1310 = 'J' then 1 else 0 end as KN_WARN_1310, 
                      case when KN.KN_WARN_1425 = 'J' then 1 else 0 end as KN_WARN_1425, 
                      case when KN.KN_WARN_1435 = 'J' then 1 else 0 end as KN_WARN_1435, 
                      case when KN.KN_WARN_1455 = 'J' then 1 else 0 end as KN_WARN_1455, 
                      case when KN.KN_WARN_1510 = 'J' then 1 else 0 end as KN_WARN_1510, 
                      case when KN.KN_WARN_1530 = 'J' then 1 else 0 end as KN_WARN_1530, 
                      case when KN.KN_WARN_7000 = 'J' then 1 else 0 end as KN_WARN_7000, 
                      case when KN.KN_WARN_7001 = 'J' then 1 else 0 end as KN_WARN_7001, 
                      case when KN.KN_WARN_7002 = 'J' then 1 else 0 end as KN_WARN_7002, 
                      case when KN.KN_WARN_7003 = 'J' then 1 else 0 end as KN_WARN_7003, 
                      case when KN.KN_WARN_7004 = 'J' then 1 else 0 end as KN_WARN_7004, 
                      case when KN.KN_WARN_7008 = 'J' then 1 else 0 end as KN_WARN_7008, 
                      case when KN.KN_WARN_7017 = 'J' then 1 else 0 end as KN_WARN_7017, 
                      case when KN.KN_WARN_7021 = 'J' then 1 else 0 end as KN_WARN_7021, 
                      case when KN.KN_WARN_7029 = 'J' then 1 else 0 end as KN_WARN_7029, 
                      case when KN.KN_WARN_7031 = 'J' then 1 else 0 end as KN_WARN_7031,
					  KN.kn_kusydsgv20 
FROM         tabKreditnehmer AS KN LEFT OUTER JOIN
                      tabSicherheitenproKNID ON KN.KNID = tabSicherheitenproKNID.KNID 
                      WHERE     (KN.KNID = @KNID)
END
GO

ALTER TABLE _expKreditnehmer Drop column KNTimestamp
GO 

ALTER TABLE _expKonto Drop column KTimestamp
GO 

ALTER TABLE _expKontoVB Drop column KTimestamp
GO 















Update _tabVersion set DBVersion = '7.75', DBDate = '20.08.2018'
GO